Subject: [OSPF] Cisco OSPF implementation - Different networks on serial links

From: Vlad Olariu <[email-masked]>
Date: Sat, 6 Jun 2015 19:40:35 +0200

Hello,

I was reading the OSPFv2 RFC, namely, from page 62:

The Area ID specified in the header must either:
            (1) Match the Area ID of the receiving interface.  In this
                case, the packet has been sent over a single hop.
                Therefore, the packet’s IP source address is required to
                be on the same network as the receiving interface.  This
                can be verified by comparing the packet’s IP source
                address to the interface’s IP address, after masking
                both addresses with the interface mask.  *This comparison*
*                should not be performed on point-to-point networks*. On
                point-to-point networks, the interface addresses of each
                end of the link are assigned independently, if they are
                assigned at all.

I have tried this on various Cisco routers and it doesn't work. It
complains about the interfaces being in a different network.

Is this an implementation flaw?

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Sat, 6 Jun 2015 20:41:10 +0000

Hi Vlad,

From: Vlad Olariu <[email-masked]<mailto:[email-masked]>>
Date: Saturday, June 6, 2015 at 1:40 PM
To: OSPF WG List <[email-masked]<mailto:[email-masked]>>
Subject: [OSPF] Cisco OSPF implementation - Different networks on serial links

Hello,

                both addresses with the interface mask.  This comparison
                should not be performed on point-to-point networks. On

I have tried this on various Cisco routers and it doesn't work. It complains about the interfaces being in a different network.

This is really a vendor specific question and not a topic for an IETF list. Having said that, Cisco enforces a subnet model for P2P interfaces and advertises the subnet consistent with option 2 in RFC 2328, section 12.4.1.1. You could make the interfaces unnumbered if you want to use addresses in different subnets. Please ping me off-list if you have further questions.

Hope this helps,
Acee